Bug 1017545 - URLs with alternate text are no longer expanded in footnotes
URLs with alternate text are no longer expanded in footnotes
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
future
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeff Fearn
Ruediger Landmann
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-10 02:58 EDT by Misty Stanley-Jones
Modified: 2017-01-09 05:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-01-09 05:37:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Misty Stanley-Jones 2013-10-10 02:58:16 EDT
Given a link whose is obfuscated like so: <ulink url="http://redhat.com">Red Hat</ulink>

PDFs rendered with FOP would add a footnote showing the full URL. This does not seem to happen with a PDF rendered using wkhtmltopdf. Here is an example of it not working like it used to: https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/4.2/pdf/Release_Notes/JBoss_Enterprise_Application_Platform-4.2-Release_Notes-en-US.pdf
Comment 2 Jeff Fearn 2013-11-05 01:24:27 EST
This is not a feature in wkhtmltopdf. It would take considerable resources to implement it.

http://docbook.sourceforge.net/release/xsl/1.75.1/doc/fo/ulink.show.html might be a better option to emulate.
Comment 4 Jeff Fearn 2017-01-09 05:37:17 EST
No resources for this.

Note You need to log in before you can comment on or make changes to this bug.